

{literal}
<style>
input{
font: Verdana;
font-size: 8pt;
}
txt{
font: Verdana;
font-size: 6pt;
}
a{
        text-decoration: none;
        color: #2F4F4F;
}
a:hover{
color: #FF4500;
}
th{
font-family: Verdana;
font-size: 8pt;
}
td{
font-family: Verdana;
font-size: 7pt;
}
</style>

<script language=javascript>
function Goto()
{
 var pg=document.getElementById("page").value-1;
 var mxpg=document.getElementById("mxpg").value+1;
 if(pg>mxpg||pg<0)
  {
   alert("Invalid Page Number");
   document.getElementById("page").value="";
   return;
  }
 document.location.href("admin_index.php?change=FInfo&page="+pg);
}
function CheckAll()
{
 n=document.getElementById("loop").value;
 x=document.getElementById("ckall").checked;
 for(i=0;i<n;i++)
   {
     if(x)
        document.getElementById(""+i).checked=true; 
     else
        document.getElementById(""+i).checked=false; 
   }
}
function UCheck()
{ 
 n=document.getElementById("loop").value;
 x=true;
 for(i=0;i<n;i++)
   {
     if(document.getElementById(""+i).checked==false) x=false;      
   }
 document.getElementById("ckall").checked=x;

}
</script>
{/literal}

<form method="POST" name=FRM action="admin_act_file.php">
  <table border="0" width="100%" cellspacing="0" cellpadding="0">
  <tr bgcolor=#FFFFFF>
    <th width="5%" align=center><input type="checkbox" name="ckall" onclick="CheckAll();" value="ckall"></th>
    <th width="15%" align=left>&nbsp;Name</th>
    <th width="12%" align=left>&nbsp;Recipient</th>
    <th width="10%" align=left>&nbsp;Size</th>
    <th width="12%" align=left>&nbsp;Server</th>
    <th width="10%" align=left>&nbsp;Link</th>
    <th width="7%" align=left>&nbsp;No. D/L</th>
    <th width="7%" align=left>&nbsp;Max D/L</th>
    <th width="12%" align=left>&nbsp;Sender</th>
    <th width="10%" align=left>&nbsp;Expire</th>
  </tr>
  <tr>
  <td colspan=12 height=1 bgcolor="#003366"></td>
  </tr>
  
  {section name=i loop=$file}
  <tr bgcolor={cycle values=#EFEFEF,#DFDFDF}>
    <td align=center><input type="checkbox" name="dlt[]" id="{$smarty.section.i.index}" onclick="UCheck();" value="{$file[i].dir}"></td>
    <td>&nbsp; {$file[i].file_name}</td>
    <td>&nbsp; {$file[i].recipient}</td>
    <td>&nbsp; {$file[i].size}</td>
    <td>&nbsp; {$file[i].server}</td>
    <td>&nbsp; {if $file[i].link_status==0}<font color=#ff0000>Deleted</font>{else}<font color=#008000>Exist</font>{/if} </td>
    <td>&nbsp; {$file[i].no_of_dwnld}</td>
    <td>&nbsp; {$file[i].max_dwnld}</td>
    <td>&nbsp; {$file[i].sender}</td>
    <td>&nbsp; {$file[i].expire_time}</td>
  </tr>
    <tr><td colspan=11 width=1 bgcolor="#BBBBBB"> </td> </tr>
  {/section}
  {if $smarty.section.i.loop==0}
  <tr><td colspan=8 bgcolor="#003366" align=center><font color=white>L i s t  E m p t y</font></td></tr>
  {/if}
<tr><td colspan=12 height=1 bgcolor="#003366"></td></tr>
  <tr>
  <td colspan=4 valign=top>
     &nbsp;Page:<input type=text id=page name=page size=3><input type=button value="Go" onclick="javascript:Goto()">
     &nbsp;|&nbsp;
     {if $smarty.request.page gt 0}
     <a href="admin_index.php?change=FInfo&page={$smarty.request.page-1}" class="lnk">&lt;&lt;</a>&nbsp;|&nbsp;
     {/if}
     {if $smarty.request.page lt $mxpg}
     <a href="admin_index.php?change=FInfo&page={$smarty.request.page+1}" class="lnk">&gt;&gt;</a>&nbsp;|&nbsp;
     {/if}
     Pages: [{$smarty.request.page+1}/{$mxpg+1}]
     </td>
     <td colspan=8>
     <input type="submit" value="Delete Selected Files" name="req">  <input type="submit" class="txt" value="Delete Selected Entry" name="req"></p>
  </td>  
</tr>
</table>
<input type="hidden" value="{$mxpg}" name="mxpg" id="mxpg">
<input type="hidden" value="{$smarty.section.i.loop}" name="loop" id="loop">
</form>
